### Method

# Gio DBusInterfaceInfo generate_xml

since: 2.26

#### Declaration

    void
    g_dbus_interface_info_generate_xml (
      GDBusInterfaceInfo* info,
      guint indent,
      GString* string_builder
    )

#### Description

Appends an XML representation of `info` (and its children) to `string_builder`.

This function is typically used for generating introspection XML documents at run-time for handling the `org.freedesktop.DBus.Introspectable.Introspect` method.

Available since: 2.26

#### Parameters

`indent`

  Type: `guint`

  Indentation level.

`string_builder`

  Type: `GString`

  A `GString` to to append XML data to.

  The data is owned by the caller of the method.